# 筛选

## 介绍

很多时候每个页面的数据筛选功能大致一样，无外乎只是数据不一样而已，因此作为公共功能，所以在自改动的情况下，需要注意功能需求是否是公共需求。

功能包含以下：

* 自选择列
* 显示顺序
* 导出、删除所选数据

## 数据格式（必要）

如果使用整个Yaa项目进行开发，数据格式可以忽略。但如果将vue项目进行拆分出去，需要后端数据接口匹配该格式、或筛选数据格式匹配后端服务数据格式。

## API

### Props

| 名称           | 类型      | 说明            |
| ------------ | ------- | ------------- |
| ~~toModel~~  | Object  | 模型实例          |
| toUrl        | String  | 当前数据表格请求的url  |
| showModal    | Boolean | 是否显示，默认 false |
| tableTitle   | Arrary  | 自选列数据         |
| attribute    | Array   | 显示顺序数据        |
| selectRowArr | Array   | 自选列中勾选数据      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://yaa.docs.speaks.life/he-xin-gong-neng/shu-ju-biao-ge/shu-ju-ye-mian/shai-xuan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
